// JavaScript Document
function init() {
	var background = document.getElementById("background");
	var expandButton = document.getElementById('expandButton');
	var closeButton = document.getElementById('closeButton');
	var videoContainer = document.getElementById('videoContainer');
	var vid = document.getElementById('video');
	var contracted = true;
	var firstPlay = false;
	var isPlaying = false;
	
	ADTECH.event = function (name, meta) {
		com.adtech.Core.prototype.event.call(ADTECH, name, meta);
		if (typeof ADTECH.coreEventHandler == "function") {
			ADTECH.coreEventHandler(name, meta);
		}else{
			ADTECH.dispatchEvent(name, meta);
		}
	}
	
	var pfx = ["webkit", "moz", "ms", "o", "khtml", ""];
	function prefixedEvent(element, type, callback) {
		for (var p = 0; p < pfx.length; p++) {
			if (!pfx[p]) type = type.toLowerCase();
			element.addEventListener(pfx[p] + type, callback, false);
		}
	}
	
	function getEventObject(e){
		return e || window.event;
	}
	
	function stopPropagation(e) {
		if (e.stopPropagation) {
			e.stopPropagation();
		} else {
			e.returnValue = false;
			e.cancelBubble = true;
		}
	}
	function addClass(elm, clsName){
		if(typeof(elm) != 'array'){
			elm = [elm];
		}
		for (var i = 0; i < elm.length; i++) {
			if (elm[i].classList) {
				elm[i].classList.add(clsName);
			} else {
					if (elm[i].className.match(new RegExp('?:^|\s)' + clsName + '(?!\S)'))) {
				elm[i].className = elm[i].className.replace(new RegExp('?:^|\s)' + clsName + '(?!\S)'), "");
			}
		}}
	}
	function hideElement(elm){
		addClass(elm,'hide');
		
	}
	
	function removeClass(elm, clsName) {
		if(typeof(elm) != 'array'){
			elm = [elm];
		}
		for(var i=0;i<elm.length;i++){
		if (elm[i].classList) {
			elm[i].classList.remove(clsName);
		} else {
			if (elm[i].className.match(new RegExp('?:^|\s)' + clsName + '(?!\S)'))) {
				elm[i].className = elm[i].className.replace(new RegExp('?:^|\s)' + clsName + '(?!\S)'), "");
			}
		}}
	}
	function showElement(elm){
		removeClass(elm,'hide');
		
	}
	
	function videoPlayer(elmId){
		var doc = document;
		var elm = doc.getElementById(elmId);
		if(elm!==null){
			this.elm = elm;
			this.init();
		}
	}
	videoPlayer.prototype.init = function(){
		ADTECH.registerVideoPlayer(this.elm);
		this.initListeners();
	}
	videoPlayer.prototype.initListeners = function(){
		ADTECH.addEventListener("Contract Start", function(e){
			if(!this.elm.paused){
				this.elm.pause();
			}
		},this)
	}
	new videoPlayer("video");
	
	vid.onended = function () {
		vid.style.opacity = 0;
		muteButton.style.display = "none";
		playButton.style.display = 'block';
	};
	
	closeButton.onclick = function (e) {
		e = getEventObject(e);
		prefixedEvent(background, "AnimationEnd", contractHandler);
		ADTECH.event('Contract Start');
		contracted = true;
		hideElement(closeButton);
		hideElement(videoContainer);
		showElement(bubble);
		
		background.className = "contracted";
		expandButton.style.display = "block";
		stopPropagation(e);
	};
	
	function contractHandler(e) {
		if (e.animationName == "contract") {
			ADTECH.contract();
			ADTECH.event('Contract Finished');
		}
	}
	
	expandButton.onclick = function (e) {
		e = getEventObject(e);
		prefixedEvent(background, "AnimationEnd", expandHandler);
		if (contracted) {
			ADTECH.expand();
			ADTECH.event('Expand Start');
		}
		expandButton.style.display = "none";
		background.className = " expanded";
		contracted = false;
	};
	
	function expandHandler(e) {
		if (e.animationName == "expand") {
			ADTECH.event('Expand Finished');
			showElement(closeButton);
			showElement(videoContainer);
			hideElement(bubble);
		}
	}

	background.onclick = function (e) {
		e = getEventObject(e); var obj = e.target || e.srcElement;
		if (!contracted && obj.className.indexOf("button") == -1) {
			ADTECH.click("expanded", "http://www.adsolutions.com");
		}
	};
}
ADTECH.ready(init);