// JavaScript Document
function init() {
	var vid = document.getElementById("videoPlayer");
	var muteButton = document.getElementById('mute');
	var playButton = document.getElementById('playButton');
	var background = document.getElementById("background");
	var expandButton = document.getElementById('expandButton');
	var closeButton = document.getElementById('closeButton');
	var videoContainer = document.getElementById('videoContainer');
	var contracted = true;
	var firstPlay = false;
	var isPlaying = false;
	var isMuted = true;
	
	var pfx = ["webkit", "moz", "ms", "o", "khtml", ""];
	function prefixedEvent(element, type, callback) {
		for (var p = 0; p < pfx.length; p++) {
			if (!pfx[p]) type = type.toLowerCase();
			element.addEventListener(pfx[p] + type, callback, false);
		}
	}
	
	function getEventObject(e){
		return e || window.event;
	}
	
	function stopPropagation(e) {
		if (e.stopPropagation) {
			e.stopPropagation();
		} else {
			e.returnValue = false;
			e.cancelBubble = true;
		}
	}
	
	ADTECH.registerVideoPlayer(vid);
	vid.muted = true;
	var sources = [
		{
			options: [
				{ type: 'video/mp4', src: 'video.mp4' },
				{ type: 'video/webm', src: 'video.webmsd.webm' }
			]
		}/*,
	{
			options:[
				{type:'mp4',src:'file2.mp4'},
				{type:'webm',src:'file2.webm'}
			]
	}*/
	];

	function selectSource(index) {
		var video = sources[index];
		for (var i = 0; i < video.options.length; i++) {
			if (vid.canPlayType(video.options[i].type) != "") {
				vid.src = video.options[i].src;
				break;
			}
		}
	}
	
	playButton.onclick = function (e) {
		selectSource(0);
		vid.style.opacity = "1";
		if (firstPlay === true) {
			vid.play();
			isPlaying = true;
		} else {
			vid.play();
			firstPlay = true;
			isPlaying = true;
		}
		muteButton.style.display = "block";
		playButton.style.display = 'none';
	};

	muteButton.onclick = function (e) {
		if (isMuted === true) {
			vid.muted = false;
			muteButton.style.backgroundImage = "url('images/mute.png')";
			isMuted = false;
		} else {
			vid.muted = true;
			muteButton.style.backgroundImage = "url('images/unmute.png')";
			isMuted = true;
		}
	};
	
	vid.onended = function () {
		vid.style.opacity = "0";
		muteButton.style.display = "none";
		playButton.style.display = 'block';
		isPlaying = false;
	};
	
	closeButton.onclick = function (e) {
		e = getEventObject(e);
		prefixedEvent(background, "AnimationEnd", contractHandler);
		ADTECH.event('Contract Start');
		if (isPlaying) {
			vid.pause();
		}
		contracted = true;
		var elm = [vid, playButton, closeButton, videoContainer, muteButton];
		for (i = 0; i < elm.length; i++) {
			if (elm[i].className.match(/(?:^|\s)hide(?!\S)/) === null) {
				elm[i].className += " hide";
			}
		}
		background.className = "contracted";
		expandButton.style.display = "block";
		stopPropagation(e);
	};
	
	function contractHandler(e) {
		if (e.animationName == "contract") {
			ADTECH.contract();
			ADTECH.event('Contract Finished');
		}
	}
	
	expandButton.onclick = function (e) {
		e = getEventObject(e);
		prefixedEvent(background, "AnimationEnd", expandHandler);
		if (contracted) {
			ADTECH.expand();
			ADTECH.event('Expand Start');
		}
		expandButton.style.display = "none";
		background.className = " expanded";
		contracted = false;
	};
	
	function expandHandler(e) {
		if (e.animationName == "expand") {
			ADTECH.event('Expand Finished');
			var expC = [vid, playButton, closeButton, videoContainer, muteButton];
			for (i = 0; i < expC.length; i++) {
				if (expC[i].className.match(/(?:^|\s)hide(?!\S)/)) {
					expC[i].className = expC[i].className.replace(/(?:^|\s)hide(?!\S)/, "");
				}
			}
			if (isPlaying) {
				vid.play();
			}
		}
	}

	background.onclick = function (e) {
		e = getEventObject(e); var obj = e.target || e.srcElement;
		if (!contracted && obj.className.indexOf("button") == -1) {
			ADTECH.click("expanded", "http://www.adsolutions.com");
		}
	};
}
ADTECH.ready(init);