// JavaScript Document
function init() {
	var background = document.getElementById("background");
	var expandButton = document.getElementById('expandButton');
	var closeButton = document.getElementById('closeButton');
	var videoContainer = document.getElementById('videoContainer');
	var vid = document.getElementById('video');
	var contracted = true;
	var firstPlay = false;
	var isPlaying = false;
	
	
	//// Register the video player element to enable video event measurement ////
	ADTECH.registerVideoPlayer(vid);
	
	ADTECH.event = function (name, meta) {
		com.adtech.Core.prototype.event.call(ADTECH, name, meta);
		if (typeof ADTECH.coreEventHandler == "function") {
			ADTECH.coreEventHandler(name, meta);
		}else{
			ADTECH.dispatchEvent(name, meta);
		}
	}
	
	//// General function to add browser prefix ////
	var pfx = ["webkit", "moz", "ms", "o", "khtml", ""];
	function prefixedEvent(element, type, callback) {
		for (var p = 0; p < pfx.length; p++) {
			if (!pfx[p]) type = type.toLowerCase();
			element.addEventListener(pfx[p] + type, callback, false);
		}
	}
	
	function getEventObject(e){
		return e || window.event;
	}
	
	//// General function to cancel bubble ////
	function stopPropagation(e) {
		if (e.stopPropagation) {
			e.stopPropagation();
		} else {
			e.returnValue = false;
			e.cancelBubble = true;
		}
	}
	//// General function that can add a class ////
	function addClass(elm, clsName){
		if(typeof(elm) != 'array'){
			elm = [elm];
		}
		for (var i = 0; i < elm.length; i++) {
			if (elm[i].classList) {
				elm[i].classList.add(clsName);
			} else {
					if (elm[i].className.match(new RegExp('?:^|\s)' + clsName + '(?!\S)'))) {
				elm[i].className = elm[i].className.replace(new RegExp('?:^|\s)' + clsName + '(?!\S)'), "");
			}
		}}
	}
	//// General function that calls the addClass() function with a fixed class 'hide' ////
	function hideElement(elm){
		addClass(elm,'hide');
		
	}
	//// General function that can remove a class ////
	function removeClass(elm, clsName) {
		if(typeof(elm) != 'array'){
			elm = [elm];
		}
		for(var i=0;i<elm.length;i++){
		if (elm[i].classList) {
			elm[i].classList.remove(clsName);
		} else {
			if (elm[i].className.match(new RegExp('?:^|\s)' + clsName + '(?!\S)'))) {
				elm[i].className = elm[i].className.replace(new RegExp('?:^|\s)' + clsName + '(?!\S)'), "");
			}
		}}
	}
	//// General function that calls the removeClass() function and specifically removes the 'hide' class ////
	function showElement(elm){
		removeClass(elm,'hide');
		
	}
	
	//// Function to make stuff happen when the video ends ////
	vid.onended = function () {
	};
	
	//// Click handler for the close buutton. Tells the system the ad needs to start contracting ////
	closeButton.onclick = function (e) {
		e = getEventObject(e);
		prefixedEvent(background, "AnimationEnd", contractHandler);
		ADTECH.event('Contract Start');
		contracted = true;
		hideElement(closeButton);
		hideElement(videoContainer);
		background.className = "contracted";
		expandButton.style.display = "block";
		stopPropagation(e);
	};
	
	//// Contract handler. Tells the system the ad has fully contracted ////
	function contractHandler(e) {
		if (e.animationName == "contract") {
			ADTECH.contract();
			ADTECH.event('Contract Finished');
		}
	}
	
	//// Click handler for the expand button. Tells the system the ad needs to start expanding ////
	expandButton.onclick = function (e) {
		e = getEventObject(e);
		prefixedEvent(background, "AnimationEnd", expandHandler);
		if (contracted) {
			ADTECH.expand();
			ADTECH.event('Expand Start');
		}
		expandButton.style.display = "none";
		background.className = " expanded";
		contracted = false;
	};
	
	//// Expand handler. Tells the system the ad has fully expanded ////
	function expandHandler(e) {
		if (e.animationName == "expand") {
			ADTECH.event('Expand Finished');
			showElement(closeButton);
			showElement(videoContainer);
		}
	}
	
	//// Click handler //// 
	background.onclick = function (e) {
		e = getEventObject(e); var obj = e.target || e.srcElement;
		if (!contracted && obj.className.indexOf("button") == -1) {
			/// add your "name" and "click URL" here ///
			ADTECH.click("expanded", "http://www.adsolutions.com");
		}
	};
}
ADTECH.ready(init);